Package org.eclipse.rap.rwt.service

## Interface SettingStoreListener

    public interface SettingStoreListener

Setting store listeners are notified when an attribute in the setting store has been changed (i.e. added, modified, removed).

Since:
  2.0
See Also:
  `SettingStore.addSettingStoreListener(SettingStoreListener)`, `SettingStore.removeSettingStoreListener(SettingStoreListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `settingChanged​(SettingStoreEvent event)` This method is invoked when an attribute in the setting store has been changed (i.e.

### Method Detail

#### settingChanged

    void settingChanged​(SettingStoreEvent event)

This method is invoked when an attribute in the setting store has been changed (i.e. added, modified, removed).

Parameters:
  `event` - an event object that contains details about the attribute change